Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417381 - Install requires libgsystem
Summary: Install requires libgsystem
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm-ostree-toolbox
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 14:30 UTC by Spyros Trigazis
Modified: 2017-12-12 10:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:38:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Spyros Trigazis 2017-01-28 14:30:57 UTC
Description of problem:
When installing rpm-ostree-toolbox in a Fedora 25 host libgsystem which is required doesn't get installed.

Version-Release number of selected component (if applicable): rpm-ostree-toolbox-2016.1-1.fc25.x86_64


How reproducible: always


Steps to Reproduce:
1. sudo dnf install -y rpm-ostree-toolbox
2. sudo rpm-ostree-toolbox --help

Actual results:
$ rpm-ostree-toolbox --help
Traceback (most recent call last):
  File "/usr/lib64/rpm-ostree-toolbox/py/rpmostreecompose-main", line 23, in <module>
    from rpmostreecompose import taskrunner, version, liveimage, docker_image
  File "/usr/lib64/rpm-ostree-toolbox/py/rpmostreecompose/taskrunner.py", line 28, in <module>
    gi.require_version('GSystem', '1.0')
  File "/usr/lib64/python2.7/site-packages/gi/__init__.py", line 118, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace GSystem not available


Expected results:
The help message of rpm-ostree-toolbox

Additional info:
Installing libgsystem solves the issue.

Comment 1 Fedora End Of Life 2017-11-16 19:17:14 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:38:23 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.